Skip to main content
DELETE
/
v1
/
items
/
{itemId}
/
descriptions
/
{salesChannelId}
/
{languageIso}
Delete Item Description
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/v1/items/{itemId}/descriptions/{salesChannelId}/{languageIso} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesChannelId
string
required

The id of the sales channel that the descriptions belong to.

languageIso
string
required

The iso code of the language that the descriptions belong to.

itemId
integer<int32>
required

The id of the item that the descriptions belong to.

Response